import 'package:flutter/material.dart';

class TopBarRow extends StatelessWidget {
  final String title;

  const TopBarRow({
    Key key,
    @required this.title,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.white,
      padding: EdgeInsets.symmetric(vertical: 2.0, horizontal: 2.0),
      child: Row(
        children: [
          TextButton(
            onPressed: () {
              Navigator.of(context).pop();
            },
            child: Icon(
              Icons.arrow_back_ios,
              color: Colors.black,
            ),
          ),
          Text(
            title,
            style:
                Theme.of(context).textTheme.bodyText2.copyWith(fontSize: 24.0),
          ),
        ],
      ),
    );
  }
}
